DL_SS< KEYS, SA, MEM, H, ALG_INFO > Class Template Reference

Discrete Log Based Signature Scheme. More...

`#include <pubkey.h>`

Inheritance diagram for DL_SS< KEYS, SA, MEM, H, ALG_INFO >:

## Public Types

typedef PK_FinalTemplate < DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < DL_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class KEYS, class SA, class MEM, class H, class ALG_INFO>
class DL_SS< KEYS, SA, MEM, H, ALG_INFO >

Discrete Log Based Signature Scheme.

Definition at line 1646 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h